{"openapi":"3.0.4","info":{"title":"Inserts external logs into the specified ExternalApp Integration instance execution","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/horizon"}],"paths":{"/api/logs/{instanceid}/{runid}":{"post":{"tags":["Logs"],"summary":"Inserts external logs into the specified ExternalApp Integration instance execution","operationId":"InsertExternalLogs","parameters":[{"name":"instanceid","in":"path","description":"","required":true,"schema":{"maxLength":36,"minLength":36,"pattern":"^[a-zA-Z0-9\\-]+$","type":"string"}},{"name":"runid","in":"path","description":"","required":true,"schema":{"maxLength":36,"minLength":36,"pattern":"^[a-zA-Z0-9\\-]+$","type":"string"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"/docs/api/horizon/schemas.json#/components/schemas/ExternalLogInsertionRequest"},"example":{"logs":[{"logid":2,"parentlogid":1,"loglevel":"Payload","logstatus":"PayloadExtracted","timestamp":"2025-01-22 23:12:13.1234"}]}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/horizon/schemas.json#/components/schemas/ExternalLogInsertionResponse"},"example":{}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/horizon/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/horizon/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Experimental"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}